jQuery(document).ready(function () {

	if(!estadoCierreRealizado && esUsuarioOsalanTer){
		//Botonera guardar datos de Osalan
		$("#guardarDatSegOsalan_toolbar").rup_toolbar({
			buttons:
				[{id:"Guardar", i18nCaption:$.rup.i18n.app.botones.Guardar, left:true,click: modificarDatosSegOsalan}]
		});	
	}else{
		 bloqueaCampos();
	}
	
	$("#datosSegOsalan_form").rup_validate({
		feedback:$("#tramitacion_feedback"),
		liveCheckingErrors: true,
		rules:{
			"cantidad057":{digits:true}
		},
		regexp:{
			"cantidad057":{digits:true}
		}
	});
});	

//Funcion que serializa la visita para ser enviado
function serializeDatosSegOsalan(){

	var docSegControl=$("#checkExisteDsc057")[0].checked;
	if(docSegControl == false){
		$("#existeDsc057").val("N");
	}else{
		$("#existeDsc057").val("S");
	}
	
	var docSegControl=$("#checkCorrectoNima057")[0].checked;
	if(docSegControl == false){
		$("#correctoNima057").val("N");
	}else{
		$("#correctoNima057").val("S");
	}
	
	var docSegControl=$("#checkSolicPlan057")[0].checked;
	if(docSegControl == false){
		$("#solicPlan057").val("N");
	}else{
		$("#solicPlan057").val("S");
	}
	
	var docSegControl=$("#checkRecibido057")[0].checked;
	if(docSegControl == false){
		$("#recibido057").val("N");
	}else{
		$("#recibido057").val("S");
	}
	
	var docSegControl=$("#checkCorrectoAnexo057")[0].checked;
	if(docSegControl == false){
		$("#correctoAnexo057").val("N");
	}else{
		$("#correctoAnexo057").val("S");
	}
	
	var docSegControl=$("#checkReenviado057")[0].checked;
	if(docSegControl == false){
		$("#reenviado057").val("N");
	}else{
		$("#reenviado057").val("S");
	}
	
	//Reemplazar la coma por el punto
	var cantidad = $("#cantidad057").val();
	$("#cantidad057").val(cantidad.replace(",","."));
	
	return $("#datosSegOsalan_form").rup_form('formToJson');
}

function modificarDatosSegOsalan(){
$("#tramitacion_feedback").rup_feedback("close");
	
	// Llamada ajax para guardar los datos de osalan
	if(ab03bUtils.form.validate($("#datosSegOsalan_form"), $("#tramitacion_feedback"))){
		$.rup_ajax({
			url:  $.rup.CTX_PATH +"ab03b57t00/guardarDatosSegOsalan",
			type: "POST",
			data: JSON.stringify(serializeDatosSegOsalan()),
			dataType: 'json',
			contentType: 'application/json',
			success: function (mapaRespuesta){
				ab03bUtils.feedback.pintarFeedback($.rup.i18nParse($.rup.i18n.app,"mensajes.okGenerico"),  "ok",$("#tramitacion_feedback"));
			},
			error: function(error){
				pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
			},
			beforeSend : function() {
				var error=false;
				$(".validate").each(function(){
					$(this).removeClass("error");
					if($(this).val()==""){
						$(this).addClass("error");
						error=true;
					}
				});
				if(error){
					pintarFeedbackError($.rup.i18nParse($.rup.i18n.app,"mensajes.errorValidarObligatorios"), $("#tramitacion_feedback"));
					return false;
				}
			},
			complete: function() {
				ab03bUtils.util.desBloquearInterfaz();
			}
		});
	}
}

function bloqueaCampos() {
	 $("form :input").attr("readonly", "readonly");	 
	 $("form :checkbox").attr("disabled", "disabled");	 
}


